<v-container fluid>
    <v-row align="center" justify="center">
        <v-col v-for="(product, i) in products" :key="product.product_id" class="pa-2" sm="4" lg="3" cols="12">
            <x-offer :count="basket[product.product_id] || 0" :rated="product.product_id in likes" :product="product" @product:debug="productDebug" @product:rate="productRate" @product:add="productAdd" />
        </v-col>
    </v-row>
    <x-basket-add-dialog :product="product" :limit="quantityLimit" @product:add="productBasketAdd" @product:close="productCancel" @product:buy="productBasketBuy" />
</v-container>
